Bug 234747 - science/lm: Do not set VMD_VARS twice
Summary: science/lm: Do not set VMD_VARS twice
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-08 14:27 UTC by Tobias Kortkamp
Modified: 2019-01-17 06:25 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-01-08 14:27:25 UTC
The second VMD_VARS overwrites the first VMD_VARS

VMD_VARS=               XUSE_VMD=1
VMD_VARS_OFF=           XUSE_VMD=0
VMD_VARS=               VMD_ARCH=${ARCH:S/amd64/FREEBSDAMD64/:S/${ARCH}/FREEBSD/}

so XUSE_VMD=1 is never passed to the build.

Is this a problem?  Can it be removed or merged together?
Comment 1 Tobias Kortkamp freebsd_committer 2019-01-16 19:39:44 UTC
Ping.
Comment 2 Yuri Victorovich freebsd_committer 2019-01-17 06:24:56 UTC
Fix committed, thanks for reporting!
Comment 3 commit-hook freebsd_committer 2019-01-17 06:25:19 UTC
A commit references this bug:

Author: yuri
Date: Thu Jan 17 06:24:51 UTC 2019
New revision: 490526
URL: https://svnweb.freebsd.org/changeset/ports/490526

Log:
  science/lm: Do not set VMD_VARS twice

  PR:		234747
  Reported by:	tobik

Changes:
  head/science/lm/Makefile